import React, { useState, useEffect, useMemo } from 'react';
import { Button, Input, Row, Col, message } from 'antd';
import QRCode from 'qrcode.react';
import Styles from './styles.less';
import apis from '../../../../services/apis';
import request from '../../../../utils/request';

const Recharge = props => {

    const { amount } = props
    console.log(amount, 'amount')
    const { orderInfo } = amount
    console.log(orderInfo, 'orderInfo')
    const getByInfo = setInterval(() => {



        request({ ...apis.funds.getByInfo, params: { orderId: orderInfo.orderId } }).then(data => {
            if (data.tradingStatus === 'processing') {

                // clearInterval(getByInfo)
                // props.value()
                // if (!visible) { clearInterval(getByInfo) }
            } else if (data.tradingStatus === 'success') {
                mmessage.info('充值成功')

                props.value('success')
                clearInterval(getByInfo)
            } else {
                mmessage.info('充值失败')

                props.value('fail')
                clearInterval(getByInfo)
            }
            // tradingStatus
            // setTimeout(() => { getByInfo() }, 1000)
        }).catch(err => {
            console.log(err)
            clearInterval(getByInfo)
        })
    }, 1000)


    useEffect(() => {
        console.log(props.visible, 'props.visible')

        return () => clearInterval(getByInfo);
        // setTimeout(() => { getByInfo() }, 1000)
    }, [props.visible])



    // {
    //     request({ ...apis.funds.getByInfo, params: { orderId: orderInfo.orderId } }).then(data => {
    //         if (data.tradingStatus === 'processing') {
    //             setTimeout(() => { getByInfo() }, 1000)
    //         } else if (data.tradingStatus === 'success') {
    //             mmessage.info('充值成功')
    //         } else {
    //             mmessage.info('充值失败')
    //         }

    //         // tradingStatus
    //         // setTimeout(() => { getByInfo() }, 1000)
    //     }).catch(err => {
    //         console.log(err)
    //     })
    // }
    // getByInfo


    // const [value, setValue] = useState()

    // function onChange(e) {
    //     if (e.target.value <= 0) return
    //     if (e.target.value > 99999.99) { setValue(99999.99); return }
    //     console.log('changed', e.target.value);
    //     setValue(e.target.value)

    // }
    return (
        <>
            <div style={{ fontSize: '18px', fontWeight: '400', color: '#333333' }}>
                <span onClick={props.value}>充值金额{amount.amount / 100 || 0}元</span><span style={{ marginLeft: '80px' }}>微信商户手续费率{amount.mchPayRate}</span><span style={{ marginLeft: '80px' }}>手续费{amount.serviceFee / 100 || 0}元</span>
                {/* <img src="" alt="" width:/> */}
            </div>
            <div style={{ height: '278px', borderRadius: '12px', border: '1px solid rgba(218,218,218,1', margin: '40px 0', display: 'flex' }}>
                <div className={Styles.box}>
                    <QRCode
                        value={amount.payQrCode}  //value参数为生成二维码的链接
                        size={194} //二维码的宽高尺寸
                        fgColor="#000000"  //二维码的颜色
                    />
                    {/* <img src={amount.payQrCode} alt="" /> */}
                </div>
                <div className={Styles.boxRight}>
                    <div className={Styles.child}>
                        <p style={{ lineHeight: '43px', height: '43px', marginBottom: '5px' }}><span style={{ fontSize: '32px', fontWeight: '600', color: '#EF273A' }}>￥{amount.realAmount / 100 || 0}</span><span style={{ marginLeft: '5px' }}>应付金额</span></p>
                        <p>仅支持微信支付</p>
                    </div>

                </div>
            </div>
        </>
    )
}
export default Recharge
